com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Gb29768_ProtocolCfg
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg

-     public class STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg
      extends BR_ST25RU3993_Gb29768_ProtocolCfg

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gb29768_ProtocolCfg

      `BR_ST25RU3993_Gb29768_ProtocolCfg.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.GB29768_BLF` | `blf` < I/O Param: Usage of short or long preamble: true if the lead code is sent, false otherwise
    `STUHFL_E.GB29768_CODING` | `coding` < I/O Param: backscatter link frequency factor
    `STUHFL_E.GB29768_TC` | `tc` < I/O Param: Coding: STUHFL_D_GB29768_CODING_FM0, STUHFL_D_GB29768_CODING_MILLER2, ...
    `STUHFL_E.TREXT_LEAD` | `trext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg()`
    `STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg(STUHFL_E.TREXT_LEAD trext, STUHFL_E.GB29768_BLF blf, STUHFL_E.GB29768_CODING coding, STUHFL_E.GB29768_TC tc)`
    `STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg(STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg other)` < I/O Param: Refernce time of forward link: STUHFL_D_GB29768_TC_12_5, STUHFL_D_GB29768_TC_6_25

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set GB/T-29768 protocol configuration
    `STUHFL_E.RET_CODE` | `fetch()` Get GB/T-29768 protocol configuration
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gb29768_ProtocolCfg

      `_Get_Gb29768_Protocol_Cfg, _Set_Gb29768_Protocol_Cfg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### trext

          public STUHFL_E.TREXT_LEAD trext

    - #### blf

          public STUHFL_E.GB29768_BLF blf

      < I/O Param: Usage of short or long preamble: true if the lead code is sent, false otherwise

    - #### coding

          public STUHFL_E.GB29768_CODING coding

      < I/O Param: backscatter link frequency factor

    - #### tc

          public STUHFL_E.GB29768_TC tc

      < I/O Param: Coding: STUHFL_D_GB29768_CODING_FM0, STUHFL_D_GB29768_CODING_MILLER2, ...

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg

          public STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg(STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg other)

      < I/O Param: Refernce time of forward link: STUHFL_D_GB29768_TC_12_5, STUHFL_D_GB29768_TC_6_25

    - #### STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg

          public STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg(STUHFL_E.TREXT_LEAD trext,
                                                         STUHFL_E.GB29768_BLF blf,
                                                         STUHFL_E.GB29768_CODING coding,
                                                         STUHFL_E.GB29768_TC tc)

    - #### STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg

          public STUHFL_T_ST25RU3993_Gb29768_ProtocolCfg()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set GB/T-29768 protocol configuration
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get GB/T-29768 protocol configuration
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`